Bug 1048097 - Range check wrongly optimized in JIT
Summary: Range check wrongly optimized in JIT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcre
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: http://bugs.exim.org/show_bug.cgi?id=...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-03 07:27 UTC by Petr Pisar
Modified: 2014-02-04 02:43 UTC (History)
3 users (show)

Fixed In Version: pcre-8.33-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1048101 (view as bug list)
Environment:
Last Closed: 2014-02-04 02:43:32 UTC
Type: Bug


Attachments (Terms of Use)
Fix (1.50 KB, patch)
2014-01-09 12:50 UTC, Petr Pisar
no flags Details | Diff

Description Petr Pisar 2014-01-03 07:27:56 UTC
$ printf '/[efij]/S+\ne\n' | pcretest
PCRE version 8.32 2012-11-30

  re> data> No match
data> 

This should match "e". This is a regression introduced in 8.32 and affects JITted code path.

Reported by upstream <http://bugs.exim.org/show_bug.cgi?id=1423>, a fix is provided there.

Fedoras ≥ 19 are affected.

Comment 1 Petr Pisar 2014-01-09 12:50:39 UTC
Created attachment 847611 [details]
Fix

Comment 2 Fedora Update System 2014-01-09 14:03:53 UTC
pcre-8.33-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcre-8.33-3.fc20

Comment 3 Fedora Update System 2014-01-09 14:11:58 UTC
pcre-8.32-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcre-8.32-8.fc19

Comment 4 Fedora Update System 2014-01-21 08:57:04 UTC
pcre-8.33-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcre-8.33-4.fc20

Comment 5 Fedora Update System 2014-01-22 03:12:43 UTC
Package pcre-8.33-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcre-8.33-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1276/pcre-8.33-4.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-01-25 02:20:20 UTC
pcre-8.32-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-02-04 02:43:32 UTC
pcre-8.33-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.